Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

usermessages.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: usermessages.php 6209 2001-07-19 12:36:31Z jakobn $
5 //
6 // Created on: <02-Mar-2001 10:19:02 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 $ini =& eZINI::instance( 'site.ini' );
30 $Language = $ini->variable( "eZBulkMailMain", "Language" );
31
32 $t = new eZTemplate( "kernel/ezbulkmail/user/" . $ini->variable( "eZBulkMailMain", "TemplateDir" ),
33 "kernel/ezbulkmail/user/intl/", $Language, "usermessages.php" );
34
35 $t->setAllStrings();
36 $t->set_file( array( "message" => "usermessages.tpl" ) );
37 $languageIni = new eZINI( "kernel/ezbulkmail/user/intl/" . $Language . "/usermessages.php.ini", false );
38
39
40 if( isset( $mailConfirm ) )
41 {
42 $t->set_var( "header", $languageIni->variable( "strings", "mail_sent_header" ) );
43 $t->set_var( "body", $languageIni->variable( "strings", "mail_sent_message" ) );
44 }
45 if( isset( $unsuccessfull ) )
46 {
47 $t->set_var( "header", "" );
48 $t->set_var( "body", "" );
49 }
50 if( isset( $unsubscribemail ) )
51 {
52 $t->set_var( "header", $languageIni->variable( "strings", "unsubscribe_mail_header" ) );
53 $t->set_var( "body", $languageIni->variable( "strings", "unsubscribe_mail_message" ) );
54 }
55 if( isset( $unsubscribed ) )
56 {
57 $t->set_var( "header", $languageIni->variable( "strings", "unsubscribed_header" ) );
58 $t->set_var( "body", $languageIni->variable( "strings", "unsubscribed_message" ) );
59 }
60 if( isset( $subscribed ) )
61 {
62 $t->set_var( "header", $languageIni->variable( "strings", "subscribed_header" ) );
63 $t->set_var( "body", $languageIni->variable( "strings", "subscribed_message" ) );
64 }
65 if( isset( $hasherror ) )
66 {
67 $t->set_var( "header", $languageIni->variable( "strings", "unvalid_hash_header" ) );
68 $t->set_var( "body", $languageIni->variable( "strings", "unvalid_hash_message" ) );
69 }
70 if( isset( $subscriptionerror ) )
71 {
72 $t->set_var( "header", $languageIni->variable( "strings", "address_allready_subscribed_header" ) );
73 $t->set_var( "body", $languageIni->variable( "strings", "address_allready_subscribed_message" ) );
74 }
75
76 $t->pparse( "output", "message" );
77
78 ?>
eZINI
Reads and writes .ini style configuration files.
eZTemplate
Definition: eztemplate.php:107
$languageIni
$languageIni
Definition: usermessages.php:37
$t
$t
Definition: usermessages.php:32
$Language
$Language
Definition: usermessages.php:30
$ini
$ini
Definition: usermessages.php:29
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.